# 通常のグラフテンプレートで作図する場合
import originpro as op
import os

#Pythonファイルがあるフォルダを変数に格納
working_folder = os.path.dirname(os.path.realpath(__file__)) + '\\'

#新しいワークブックを作成
wks = op.new_book('w', hidden = True)[0]

#作成したワークブックにさきほどのworking_folder内のdataフォルダにあるxyz.csvファイルをインポートする
wks.from_file(working_folder + 'data\\xyz.csv', False) 

#使用するグラフテンプレートを変数に格納
tmpl = working_folder + 'templates\\contour_template.otpu'
#さきほどのグラフテンプレートを指定して新しいグラフを作成する
gr = op.new_graph(template = tmpl)
gr[0].add_plot(wks, coly = 1, colx = 0, colz = 2) # type is template-defined, colormap is template-defined
gr[0].rescale()
